import remote from "@gidc-pbank-parts-h5-standard/common/src/services/remote";

export default {
    // 获取银行卡列表（公共分类）
    perAcctsBalQry(payload) {
        return remote.post('/perAcctsBalQry.do', {
            payload,
        });
    },
    // 选择银行列表查询（公共分类）
    getOpenAccountBankList(payload) {
        return remote.post('/perBankListQuery.do', { payload });
    },
    // 省市数据（公共）
    getProvinceQry(payload) {
        return remote.post('/perProvAndCityQry.do', {
            payload,
        });
    },
    //  下拉银行网点模糊搜索（公共分类）
    searchOpeningOutlets(payload) {
        return remote.post('/perRtgsNodeListQry.do', {
            payload,
        });
    },
    /*-----获取短信验证码标件用到的接口------*/
    // 获取短信验证码（非登录）
    perSendSmsNoLogin(payload) {
        return remote.post('/perSendSmsNoLogin.do', {
            payload,
        });
    },
    // 获取短信验证码（登录）
    perSendSms(payload) {
        return remote.post('/perSendSms.do', {
            payload,
        });
    },
    /*-----获取短信验证码标件用到的接口------*/
};
